Resolve Tools
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
organization_id*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/organizations/org_abc123/tools/resolved" \ -H "Content-Type: application/json" \ -d '{}'{ "connectors": [ { "id": "string", "organization_id": "string", "label": "string", "description": "string", "url": "string", "transport": "http", "auth_kind": "clerk", "provider": "string", "scopes": "string", "client_env_prefix": "string", "bearer_token_enc": "string", "catalog": "string", "catalog_fingerprint": "string", "catalog_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "skills": [ { "id": "string", "organization_id": "string", "source": "built-in", "name": "string", "description": "string", "body": "string", "files": "string", "author": "string", "project_scoped": true, "created_by_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "knowledge": [ { "project_id": "string", "skill_id": "string" } ]}